Page MenuHomePhabricator

PHP Warning: SimpleXMLElement::__construct(): Entity: line 1: parser error
Closed, DeclinedPublic

Description

Setup

  • MediaWiki 1.32.1 (3efaceb) 17:46, 11. Apr. 2019
  • PHP 7.2.15-0ubuntu0.18.04.2 (apache2handler)
  • MariaDB 10.1.38-MariaDB-0ubuntu0.18.04.1
  • External Data 1.9.1 (9a70004) 18:58, 16. Jan. 2019

Issue

Warning: SimpleXMLElement::__construct():                                                  ^ in /../w/extensions/ExternalData/includes/ED_Utils.php on line 557
PHP Warning:  SimpleXMLElement::__construct(): Entity: line 1: parser error : SystemLiteral " or ' expected in /../w/extensions/ExternalData/includes/ED_Utils.php on line 557

This happens when indexing the wiki for Elasticsearch by the ElasticSearch extension which includes a re-parse of pages.

Related Objects

Event Timeline

Does the error persist after updating *ExternalData*?

I cannot tell. Since this error went unnoticed for a year anyways we may as well close it for now and reopen if it appears again.